Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.management.runtime
Class ConnectionPoolStatistics

    java.lang.Object
      com.bea.wlai.management.runtime.ConnectionPoolStatistics

All Implemented Interfaces:
  Serializable

    public class ConnectionPoolStatistics

extends Object
implements Serializable

Data class used to hold counts and other statistics about a given connection factory and its connection pool. These statistics are defined by the weblogic.management.runtime.ConnectorConnectionPoolRuntimeMBean interface.

See Also:
  `ConnectorConnectionPoolRuntimeMBean`, Serialized Form

Field Summary
`int` | `activeConnectionsCurrentCount`
`int` | `activeConnectionsHighCount`
`int` | `connectionsCount`
`int` | `connectionsCreatedTotalCount`
`int` | `connectionsDestroyedTotalCount`
`int` | `connectionsMatchedTotalCount`
`int` | `connectionsRecycledTotalCount`
`int` | `connectionsRejectedTotalCount`
`String` | `factoryName`
`int` | `freeConnectionsCurrentCount`
`int` | `freeConnectionsHighCount`

Constructor Summary
`ConnectionPoolStatistics()`

Method Summary
`void` | `combine(ConnectionPoolStatistics stats)` Aggregate the given ConnectionPoolStatistics with this statistics instance to form a summarized statistics instance for use in reporting.
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### factoryName

    public String factoryName

### connectionsCount

    public int connectionsCount

### activeConnectionsCurrentCount

    public int activeConnectionsCurrentCount

### activeConnectionsHighCount

    public int activeConnectionsHighCount

### freeConnectionsCurrentCount

    public int freeConnectionsCurrentCount

### freeConnectionsHighCount

    public int freeConnectionsHighCount

### connectionsCreatedTotalCount

    public int connectionsCreatedTotalCount

### connectionsDestroyedTotalCount

    public int connectionsDestroyedTotalCount

### connectionsMatchedTotalCount

    public int connectionsMatchedTotalCount

### connectionsRejectedTotalCount

    public int connectionsRejectedTotalCount

### connectionsRecycledTotalCount

    public int connectionsRecycledTotalCount

Constructor Detail

### ConnectionPoolStatistics

    public ConnectionPoolStatistics()

Method Detail

### combine

    public void combine(ConnectionPoolStatistics stats)

  Aggregate the given ConnectionPoolStatistics with this statistics instance to form a summarized statistics instance for use in reporting.

  Parameters:
    `stats` -

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD